import unittest

from haocrowd.core.base import SimulationBase


class TestBase(unittest.TestCase):

    def test_basic(self):
        class MySim(SimulationBase):
            def run(self) -> str:
                return "HelloSim"

        mysim = MySim()
        self.assertEqual(mysim.run(), "HelloSim")


if __name__ == "__main__":
    unittest.main()
